/// <reference types="react" />
import { BaseTextEntryControl } from "./BaseTextEntryControl";
import { ValidationIssue } from "../../Common/IDesignValidationProvider";
import { IDataDefinition } from "../../Common/Data/Definitions/IDataDefinition";
export declare class XSelectbox extends BaseTextEntryControl {
    list: string[];
    getRuntimeValidationIssues(): ValidationIssue[];
    render(): JSX.Element | undefined;
    private handleChange;
    getAddedData(): IDataDefinition | IDataDefinition[] | undefined;
    renderEditUI(): JSX.Element | null;
}
